<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <h5>Rewards</h5>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Rewards Management
                    </div>
                    <div class="card-body">
                        <ul class="nav nav-tabs" id="myTab" role="tablist">
                            <li class="nav-item" role="presentation">
                              <a class="nav-link active" id="carReward-tab" data-toggle="tab" href="#carReward" role="tab" aria-controls="carReward" aria-selected="true">Car Reward</a>
                            </li>
                            <li class="nav-item" role="presentation">
                              <a class="nav-link" id="bikeReward-tab" data-toggle="tab" href="#bikeReward" role="tab" aria-controls="bikeReward" aria-selected="false">Bike Reward</a>
                            </li>
                            <li class="nav-item" role="presentation">
                              <a class="nav-link" id="travellerReward-tab" data-toggle="tab" href="#travellerReward" role="tab" aria-controls="travellerReward" aria-selected="false">Traveller Reward</a>
                            </li>
                          </ul>
                          <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active" id="carReward" role="tabpanel" aria-labelledby="carReward-tab">
                                <div class="row mt-4">
                                    <div class="col-6">
                                        <a>
                                            <h5>Car Reward</h5>
                                        </a>
                      
                                    </div>
                                    <div class="col-6 txtright">
                                        
                                        <button class="btn excelbtn" data-placement="left" data-toggle="tooltio" title="Excel" (click)="exportAsXLSX()">
                                            <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                        </button>
                                    </div>
                                </div>
                               
                                <hr>
                                <div class="row py-2">
                                  <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                      <div class="d-flex flex-row bd-highlight mb-3">
                                          <div class="p-2 bd-highlight">
                                              <button routerLink="add_reward" class="btn btnclrs adduser" tabindex="0">
                                                  <i class="fa fa-plus-circle pr-1"></i>
                                                  Add Car Reward
                                              </button>
                                            </div>
                                        </div>
                                  </div>
                                  <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                      <div class="form-group">
                                          <div class="input-group">
                                              <input type="text" class="form-control" placeholder="Search" [(ngModel)]="searchText">
                                              <div class="input-group-append">
                                                  <span class="input-group-text btnclrs">
                                                      <i class="fa fa-search"></i>
                                                  </span>
                      
                                              </div>
                                          </div>
                      
                                      </div>
                                  </div>
                              </div>
                              <div class="table-responsive">
                                <table class="table table-striped table-bordered">
                                  <thead>
                                    <tr>
                                      <th scope="col">Sl.no</th>
                                      <th scope="col">Country</th>
                                      <th scope="col">State</th>
                                      <th scope="col">City</th>
                                      <th scope="col">Action</th>
                                    </tr>
                                  </thead>
                                  <tbody>
                                    <tr *ngFor = "let reward of rewards| filter:searchText| paginate: { id: 'pagination1' ,itemsPerPage: 25, currentPage: p }; let i = index">
                                      <th *ngIf="p>1">{{((p-1)*25)+(i+1)}}</th>
                                      <th *ngIf="p===1">{{i+1}}</th>
                                      <td>{{reward.country}}</td>
                                      <td>{{reward.state}}</td>
                                      <td>{{reward.city}}</td>
                                      <td>
                                        <a class="btn view" [routerLink]='["view_reward", reward._id]'>
                                            <i class="fa fa-eye" aria-hidden="true"></i>
                                        </a>
                                      <a class="btn edit"  [routerLink]='["edit_reward", reward._id]'>
                                          <i class="fa fa-pencil" aria-hidden="true" ></i>
                                      </a>
                                      <a class="btn delete" (click)="deleteReward(reward._id)">
                                          <i class="fa fa-trash" aria-hidden="true"></i>
                                      </a>
                                      </td>
                                    </tr>
                                   
                                  </tbody>
                                </table>
                                <div class="text-center" >
                                  <pagination-controls id='pagination1' (pageChange)="p = $event"></pagination-controls>
                              </div>
                              </div>
                            </div>
                            <div class="tab-pane fade" id="bikeReward" role="tabpanel" aria-labelledby="bikeReward-tab">
                                <div class="row mt-4">
                                    <div class="col-6">
                                        <a>
                                            <h5>Bike Reward</h5>
                                        </a>
                      
                                    </div>
                                    <div class="col-6 txtright">
                                        
                                        <button class="btn excelbtn" data-placement="left" data-toggle="tooltio" title="Excel" (click)="exportBikeAsXLSX()">
                                            <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                        </button>
                                    </div>
                                </div>
                               
                                <hr>
                                <div class="row py-2">
                                  <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                      <div class="d-flex flex-row bd-highlight mb-3">
                                          <div class="p-2 bd-highlight">
                                              <button routerLink="add_bike_reward" class="btn btnclrs adduser" tabindex="0">
                                                  <i class="fa fa-plus-circle pr-1"></i>
                                                  Add Bike Reward
                                              </button>
                                            </div>
                                        </div>
                                  </div>
                                  <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                      <div class="form-group">
                                          <div class="input-group">
                                              <input type="text" class="form-control" placeholder="Search"  [(ngModel)]="searchText">
                                              <div class="input-group-append">
                                                  <span class="input-group-text btnclrs">
                                                      <i class="fa fa-search"></i>
                                                  </span>
                      
                                              </div>
                                          </div>
                      
                                      </div>
                                  </div>
                              </div>
                              <div class="table-responsive">
                                <table class="table table-striped table-bordered">
                                  <thead>
                                    <tr>
                                      <th scope="col">Sl.no</th>
                                      <th scope="col">Country</th>
                                      <th scope="col">State</th>
                                      <th scope="col">City</th>
                                      <th scope="col">Action</th>
                                    </tr>
                                  </thead>
                                  <tbody>
                                    <tr *ngFor = "let bikeReward of bikeRewards| filter:searchText | paginate: { id: 'pagination2', itemsPerPage: 25, currentPage: p };let i = index">
                                      <td *ngIf="p>1">{{((p-1)*25)+(i+1)}}</td>
                                      <th *ngIf="p===1">{{i+1}}</th>
                                      <td>{{bikeReward.country}}</td>
                                      <td>{{bikeReward.state}}</td>
                                      <td>{{bikeReward.city}}</td>  
                                      <td>
                                        <a class="btn view" [routerLink]='["view_bike_reward", bikeReward._id]'>
                                            <i class="fa fa-eye" aria-hidden="true"></i>
                                        </a>
                                      <a class="btn edit" [routerLink]='["edit_bike_reward", bikeReward._id]'>
                                          <i class="fa fa-pencil" aria-hidden="true" ></i>
                                      </a>
                                      <a class="btn delete" (click)="deleteBikereward(bikeReward._id)">
                                          <i class="fa fa-trash" aria-hidden="true"></i>
                                      </a>
                                      </td>
                                    </tr>
                                   
                                  </tbody>
                                </table>
                                <div class="text-center" >
                                  <pagination-controls id='pagination2' (pageChange)="p = $event"></pagination-controls>
                              </div>
                              </div>
                            </div>
                            <div class="tab-pane fade" id="travellerReward" role="tabpanel" aria-labelledby="travellerReward-tab">
                                <div class="row mt-4">
                                    <div class="col-6">
                                        <a>
                                            <h5>Traveller Reward</h5>
                                        </a>
                      
                                    </div>
                                    <div class="col-6 txtright">
                                        
                                        <button class="btn excelbtn" data-placement="left" data-toggle="tooltio" title="Excel" (click)="exportCarAsXLSX()">
                                            <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                                        </button>
                                    </div>
                                </div>
                               
                                <hr>
                                <div class="row py-2">
                                  <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                                      <div class="d-flex flex-row bd-highlight mb-3">
                                          <div class="p-2 bd-highlight">
                                              <button routerLink="add_traveller_reward" class="btn btnclrs adduser" tabindex="0">
                                                  <i class="fa fa-plus-circle pr-1"></i>
                                                  Add Traveller Reward
                                              </button>
                                            </div>
                                        </div>
                                  </div>
                                  <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                                      <div class="form-group">
                                          <div class="input-group">
                                              <input type="text" class="form-control" placeholder="Search" [(ngModel)]="searchText">
                                              <div class="input-group-append">
                                                  <span class="input-group-text btnclrs">
                                                      <i class="fa fa-search"></i>
                                                  </span>
                      
                                              </div>
                                          </div>
                      
                                      </div>
                                  </div>
                              </div>
                              <div class="table-responsive">
                                <table class="table table-striped table-bordered">
                                  <thead>
                                    <tr>
                                      <th scope="col">Sl.no</th>
                                      <th scope="col">Country</th>
                                      <th scope="col">State</th>
                                      <th scope="col">City</th>
                                      <th scope="col">Action</th>
                                    </tr>
                                  </thead>
                                  <tbody>
                                    <tr *ngFor = "let treward of travellerRewards| paginate: {id: 'pagination3', itemsPerPage: 25, currentPage: p }; let i=index">
                                      <th *ngIf="p>1">{{((p-1)*25)+(i+1)}}</th>
                                      <th *ngIf="p===1">{{i+1}}</th>
                                      <td>{{treward.country}}</td>
                                      <td>{{treward.state}}</td>
                                      <td>{{treward.city}}</td>
                                      <td>
                                        <a class="btn view" [routerLink]='["view_traveller_reward", treward._id]'>
                                            <i class="fa fa-eye" aria-hidden="true"></i>
                                        </a>
                                      <a class="btn edit" [routerLink]='["edit_traveller_reward", treward._id]'>
                                          <i class="fa fa-pencil" aria-hidden="true" ></i>
                                      </a>
                                      <a class="btn delete" (click)="deleteTData(treward._id)">
                                          <i class="fa fa-trash" aria-hidden="true"></i>
                                      </a>
                                      </td>
                                    </tr>
                                   
                                  </tbody>
                                </table>
                                <div class="text-center" >
                                  <pagination-controls id= 'pagination3' (pageChange)="p = $event"></pagination-controls>
                              </div>
                              </div>
                            </div>
                          </div>
             
              
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>